<!-- <p>Hello.. you have entered Add Class component...Please add the class and subjects you need</p> -->
<style>
    table,
    td,
    th {
        border: 1px solid white;
        text-align: center;
  
    }
  
    table {
        width: 30%;
    }
  
    th,
    td {
        padding: 5px;
    }
  </style>
      <h3>Assign Teacher to Class and Subject</h3>

<div>
    <!-- <h3 style="color: rgb(22, 22, 20); background-color: black;">Add Class</h3> -->
    <br>
<label>Select Teachers : </label>   
    <select  [(ngModel)]="selectTeacherVal">
      <option *ngFor="let tl of teacherList" value= {{tl.id}}>
        {{tl.name}}
      </option>
    </select>
    <br>
    <br>
    <label>Select Class      :      </label>   
    <select [(ngModel)]="selectClassVal">
      <option *ngFor="let cl of classList" value= {{cl.cId}}>
        {{cl.class_Std}}
      </option>
    </select>
    <br>
    <br>
    <label>Select Subject : </label>   
    <select [(ngModel)]="selectSubjectVal">
      <option *ngFor="let sl of subjectList" value= {{sl.sub_id}}>
        {{sl.sub_Name}}
      </option>
    </select>
    <br>
    <br>
    <!-- <table id="drop">
        <tr>
            <th style="color: rgb(241, 241, 239);">Select Teacher : </th>
            <select [(ngModel)]="selectTeacherVal">
                <option *ngFor="let tl of teacherList" value= {{tl.id}}>
                  {{tl.name}}
                </option>
              </select>
        </tr>

        <tr>
            <th style="color: rgb(241, 241, 239);">Select Class : </th>
            <select [(ngModel)]="selectClassVal">
                <option *ngFor="let cl of classList" value= {{cl.cId}}>
                  {{cl.class_Std}}
                </option>
              </select>
        </tr>
        
        <tr>
            <th style="color: rgb(241, 241, 239);">Select Subject : </th>
            <select [(ngModel)]="selectSubjectVal">
                <option *ngFor="let sl of subjectList" value= {{sl.sub_id}}>
                  {{sl.sub_Name}}
                </option>
              </select>
        </tr>
        
        <tr>
            <td><input type="text" [(ngModel)]="clasVar.teacher_Name" placeholder="Enter teacher name"> </td>
        </tr>
        <br>
        <tr>
            <button (click)="addTeacher()">Add Teacher</button>
        </tr> 

    </table> -->
    <button (click)="save()">Save</button>


    <table id = "list" align="center">
        <tr>
          <th style="  background-color:rgb(84, 155, 231); color: rgb(9, 10, 10);">Class Name</th>
          <th style="  background-color:rgb(84, 155, 231); color: rgb(6, 7, 7);">Subject Name</th>
          <th style="  background-color:rgb(84, 155, 231); color: rgb(3, 3, 3);">Teacher Name</th>
        </tr>
        <tr *ngFor="let tr of treportList">
          <td style="color:whitesmoke">{{tr.class_Std}}</td> 
          <td style="color:whitesmoke">{{tr.sub_Name}}</td>
          <td style="color:whitesmoke">{{tr.teacher_Name}}</td>
      </tr>
      </table>

</div>
<router-outlet></router-outlet>